Page MenuHomePhabricator

OATHAuth token textbox must always be LTR
Closed, ResolvedPublic

Description

Right now it is show in RTL in RTL wikis. The code is always a six digit number in Latin (English) characters; this textbox should never be RTL.

Details

Related Gerrit Patches:
mediawiki/extensions/OATHAuth : masterMake token fields always ltr
mediawiki/extensions/OATHAuth : masterThe direction of token field should be ltr

Event Timeline

Huji created this task.Dec 17 2016, 8:19 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptDec 17 2016, 8:19 PM
Huji triaged this task as Lowest priority.Dec 17 2016, 8:20 PM
Huji renamed this task from 2FA textbox for the 6 digit code must always be LTR to OATHAuth token textbox must always be LTR.Dec 18 2016, 1:04 AM
Huji removed Huji as the assignee of this task.
Restricted Application added a project: I18n. · View Herald TranscriptDec 18 2016, 8:58 AM

Change 328152 had a related patch set uploaded (by TheDJ):
The direction of token field should be ltr

https://gerrit.wikimedia.org/r/328152

TheDJ added a subscriber: TheDJ.Dec 19 2016, 10:20 AM

Note that the patch is blocked on a fix for ooui htmlforms

TheDJ claimed this task.Apr 21 2017, 7:16 PM

Change 328152 abandoned by TheDJ:
The direction of token field should be ltr

https://gerrit.wikimedia.org/r/328152

TheDJ removed TheDJ as the assignee of this task.Aug 10 2017, 10:20 PM
Framawiki moved this task from Backlog to Doing on the good first task board.Dec 2 2017, 1:30 PM
Amire80 moved this task from Untriaged to RTL on the I18n board.Feb 26 2018, 10:40 AM
Reedy claimed this task.Jun 18 2019, 10:25 PM
Reedy removed a project: Patch-For-Review.

Change 517760 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/OATHAuth@master] Make token fields always ltr

https://gerrit.wikimedia.org/r/517760

Change 517760 merged by jenkins-bot:
[mediawiki/extensions/OATHAuth@master] Make token fields always ltr

https://gerrit.wikimedia.org/r/517760

Reedy closed this task as Resolved.Jun 19 2019, 12:50 AM
Reedy removed a project: Patch-For-Review.